{% extends 'base.html.twig' %}

{% block title %}ORDERS {% endblock %}

{% block body %}


<body class="order-body">
    


    <aside class="container">
        
        <div class="mangatheque-title">
            <a href="{{ path('app_home') }}" class="btn">MangaDex</a>
        </div>
    
        <nav>
            <ul class="nav-ul">
                <li class="portfolio-buttons"><i class="far fa-newspaper fa-2x"></i><a href="{{ path('app_home') }}">Nouveautés</a></li>
                <li class="portfolio-buttons"><i class="fas fa-book fa-2x"></i><a href="{{ path('app_home_collection') }}">Collection</a></li>
                <li class="portfolio-buttons"><i class="fas fa-search fa-2x"></i><a href="{{ path('app_home_recherche') }}">Recherche</a></li>
                <li class="portfolio-buttons"><i class="fas fa-shopping-basket fa-2x"></i><a href="{{ path('app_home_panier') }}">Panier</a></li>
            </ul>
        </nav>

        
        
    
        
    </aside>

    <section>

        <div class="account-page">
            

            <div>
                <a id="btn-donnes-perso" href="#" class="button button5">Confirmation de commande</a>
            </div>

            <div>
                {# <a href="{{ path('app_home_account_commande') }}" class="button button5">MES COMMANDES</a> #}
            </div> 
        </div>

    

        <p class="line"></p>
        <div class="container-flex-panier">
            <div class="account-page-info">
                <h1>Adresse de livraison</h1>
            </div>
            {# {{dump(userId)}} #}
            {# {{dump(panier)}} #}
            <div class="card-account-info">
                <p> {{ app.user.firstName}}{{ app.user.lastName}} </p>
                <p> {{ app.user.customer.adresse1 }}</p>
                <p> {{ app.user.customer.adresse2 }}</p>
                <p> {{ app.user.customer.city }}</p>
                
                {# <a href="{{ path("app_register_edit",{id: userId}) }}"class="button button5">Modifier</a> #}
                <a href="{{ path("app_register_edit") }}"class="button button5">Modifier</a>
                 
            </div>         
            <div class="account-page-info">
                <h1>Vérification et validation de votre commande</h1>
            </div>
            
            {% set totalPrice = 0 %}
            {% set totalQuantity = 0 %}
            {% for element in panier %}       
            <div class="card-panier">
                <div class="panier-img">
                     <img src="{{ asset('uploads/product/'~ element.product.picture) }}">
                </div>
                    <div class="panier text">
                        <h2>{{ element.product.name }}</h2>
                        <p>{{ element.product.price }} € • Quantité : {{ element.quantity }}</p>
                        {% set totalPrice = totalPrice + (element.quantity * element.product.price) %}
                        {% set totalQuantity = totalQuantity + element.quantity %}
                    </div>
                    <div class="panier-trash-icon">                       
                    </div>
                </div>
                
            </div>
           
            {% endfor %}
                <div id="panier-center" class="panier-payment">             
                    <p>Quantité: {{totalQuantity}} Sous-total : {{totalPrice}}</p>
                    <a href="{{ path("confirmation") }}" class="btn-panier-payment">Passer votre commande et Payer</a>             
                </div>
               
            </div>

        </div>   
    </section>



<section class="mobile-footer">
    <nav>
        <ul class="nav-footer">
            <li><a href=""><i class="far fa-newspaper fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-book fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-search fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-shopping-basket fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-user-circle"></i></a></li>
        </ul>
    </nav>
        
</section>
</body>
     <div>
        <a href="{{ path('app_logout') }}" class="btn-logoff">Se déconnecter</a>
    </div> 
{% endblock %}